#
# Conditional build:
%bcond_with	doc		# don't build doc (not provided by package)
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	line_profiler
Summary:	module for doing line-by-line profiling of functions
Summary(pl.UTF-8):	Moduł do optymalizacji linia po linii kodu funkcji
# Name must match the python module/package name (as in 'import' statement)
Name:		python-%{module}
Version:	2.1
Release:	7
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/rkern/line_profiler/archive/%{version}.tar.gz
# Source0-md5:	bd1cb2ba21af02339beab7ddc3a69c66
URL:		https://github.com/rkern/line_profiler
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-Cython
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-ipython
BuildRequires:	python-prompt_toolkit
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-ipython
BuildRequires:	python3-modules
BuildRequires:	python3-prompt_toolkit
%endif
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
line_profiler will profile the time individual lines of code take to
execute. The profiler is implemented in C via Cython in order to
reduce the overhead of profiling

%description -l pl.UTF-8
line_profile wskazuje czas wykonywania poszczególnych linii kodu. Jest
zaimplementowany w C poprzez Cythona tak aby zredukować narzut
profilowania.

%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
line_profiler will profile the time individual lines of code take to
execute. The profiler is implemented in C via Cython in order to
reduce the overhead of profiling

%description -n python3-%{module} -l pl.UTF-8
line_profile wskazuje czas wykonywania poszczególnych linii kodu. Jest
zaimplementowany w C poprzez Cythona tak aby zredukować narzut
profilowania.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags} -DHAVE_GETTIMEOFDAY" \
%py_build %{?with_tests:test}
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags} -DHAVE_GETTIMEOFDAY" \
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst
%{py_sitedir}/kernprof.py[co]
%{py_sitedir}/line_profiler.py[co]
%attr(755,root,root) %{py_sitedir}/_line_profiler.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst
%{py3_sitedir}/kernprof.py
%{py3_sitedir}/line_profiler.py
%{py3_sitedir}/__pycache__
%attr(755,root,root) %{py3_sitedir}/_line_profiler.cpython-*.so
%attr(755,root,root) %{_bindir}/kernprof
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Nov 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-line_profiler.git;a=log;h=master

* Mon Nov 29 2021 Jan Rękorajski <baggins@pld-linux.org> 4100708
- Release 7 (by relup.sh)

* Mon Nov 29 2021 Jan Rękorajski <baggins@pld-linux.org> e61696d
- BR prompt_toolkit

* Sat Nov 27 2021 Jan Rękorajski <baggins@pld-linux.org> 339dc3c
- Release 6 (by relup.sh)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 91bb090
- rebuild with separate debuginfo build-ids

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> cd7cf9c
- we do have gettimeofday(), build is just confused
- rel 4

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 3487edb
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a1e6e90
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b0abd0f
- up to 2.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d9c1c16
- release 8 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e4765c1
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1802386
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e214549
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8541e60
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 60d1c44
- rel 5; fix files

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c3634a6
- BR python-Cython

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 44f5f90
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cb3c9f
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> 7fc28ce
- x32 rebuild
- release 2 (by relup.sh)

* Wed Oct 29 2014 Mateusz Korniak <matkor@pld-linux.org> b113590
- Initial version 1.0

